# This makefile was generated by gnu_gama_dep version 1.01
# for GNU Gama subproject 'expat' for the win32-msvc platform
#
# ------------------------------------------------------------------
#
CC         = cl
CFLAGS     =
CXX        = cl
CXXFLAGS   = -DGNU_gama_expat_1_1 -I../../.. /nologo /W1 /GX /O2 /D "WIN32" \
             /D "NDEBUG" /D "_MBCS" /D "_LIB" /Zp1 /MT /GR
OBJ        = obj
LIBR       = rem link -lib libgama.lib
RANLIB     = link -lib /out:libgama.lib *.obj
LINK       = link
LFLAGS     = /out:
LIBS       = kernel32.lib user32.lib gdi32.lib winspool.lib  \
             comdlg32.lib advapi32.lib shell32.lib ole32.lib \
             oleaut32.lib uuid.lib odbc32.lib odbccp32.lib   \
             /nodefaultlib:libc /nologo /subsystem:console   \
             /incremental:no /machine:I386
MAKE       = nmake
LIBGAMA    = libgama.lib
P_GAMA_L   = gama-local.exe
P_GAMA_G3  = gama-g3.exe
#
# ------------------------------------------------------------------
#

SRC=../../../
OBJDIR=

ALL : $(LIBGAMA)

$(OBJDIR)xmltok.$(OBJ) : $(SRC)expat/xmltok/xmltok.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmltok.c
	$(LIBR) xmltok.$(OBJ)

$(OBJDIR)xmlrole.$(OBJ) : $(SRC)expat/xmltok/xmlrole.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmlrole.c
	$(LIBR) xmlrole.$(OBJ)

$(OBJDIR)codepage.$(OBJ) : $(SRC)expat/xmlwf/codepage.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlwf/codepage.c
	$(LIBR) codepage.$(OBJ)

$(OBJDIR)xmlparse.$(OBJ) : $(SRC)expat/xmlparse/xmlparse.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/xmlparse.c
	$(LIBR) xmlparse.$(OBJ)

$(OBJDIR)hashtable.$(OBJ) : $(SRC)expat/xmlparse/hashtable.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/hashtable.c
	$(LIBR) hashtable.$(OBJ)

$(LIBGAMA) : xmltok.$(OBJ) xmlrole.$(OBJ) codepage.$(OBJ) xmlparse.$(OBJ) hashtable.$(OBJ)
	$(RANLIB)

